MagickCore: hashmap.h File Reference

# hashmap.h File Reference

Go to the source code of this file.

## Defines
#define | SmallHashmapSize 17
#define | MediumHashmapSize 509
#define | LargeHashmapSize 8191
#define | HugeHashmapSize 131071
## Typedefs
typedef struct _HashmapInfo | HashmapInfo
typedef struct _LinkedListInfo | LinkedListInfo
## Functions
MagickExport HashmapInfo * | DestroyHashmap (HashmapInfo *)
MagickExport HashmapInfo ** | NewHashmap (const unsigned long, size_t(*)(const void *), MagickBooleanType(*)(const void *, const void *), void *(*)(void *), void *(*)(void *))
MagickExport LinkedListInfo * | DestroyLinkedList (LinkedListInfo *, void *(*)(void *))
MagickExport LinkedListInfo ** | NewLinkedList (const unsigned long)
MagickExport MagickBooleanType | AppendValueToLinkedList (LinkedListInfo *, const void *)
MagickExport MagickBooleanType | CompareHashmapString (const void *, const void *)
MagickExport MagickBooleanType | CompareHashmapStringInfo (const void *, const void *)
MagickExport MagickBooleanType | InsertValueInLinkedList (LinkedListInfo *, const unsigned long, const void *)
MagickExport MagickBooleanType | InsertValueInSortedLinkedList (LinkedListInfo *, int(*)(const void *, const void *), void **, const void *)
MagickExport MagickBooleanType | IsHashmapEmpty (const HashmapInfo *)
MagickExport MagickBooleanType | IsLinkedListEmpty (const LinkedListInfo *)
MagickExport MagickBooleanType | LinkedListToArray (LinkedListInfo *, void **)
MagickExport MagickBooleanType | PutEntryInHashmap (HashmapInfo *, const void *, const void *)
MagickExport size_t | HashPointerType (const void *)
MagickExport size_t | HashStringType (const void *)
MagickExport size_t | HashStringInfoType (const void *)
MagickExport unsigned long | GetNumberOfElementsInLinkedList (const LinkedListInfo *)
MagickExport unsigned long | GetNumberOfEntriesInHashmap (const HashmapInfo *)
MagickExport void | ClearLinkedList (LinkedListInfo *, void *(*)(void *))
MagickExport void * | GetLastValueInLinkedList (LinkedListInfo *)
MagickExport void ** | GetNextKeyInHashmap (HashmapInfo *)
MagickExport void *** | GetNextValueInHashmap (HashmapInfo *)
MagickExport void **** | GetNextValueInLinkedList (LinkedListInfo *)
MagickExport void ***** | GetValueFromHashmap (HashmapInfo *, const void *)
MagickExport void ****** | GetValueFromLinkedList (LinkedListInfo *, const unsigned long)
MagickExport void ******* | RemoveElementByValueFromLinkedList (LinkedListInfo *, const void *)
MagickExport void ******** | RemoveElementFromLinkedList (LinkedListInfo *, const unsigned long)
MagickExport void ********* | RemoveEntryFromHashmap (HashmapInfo *, const void *)
MagickExport void ********** | RemoveLastElementFromLinkedList (LinkedListInfo *)
MagickExport void ********** | ResetHashmapIterator (HashmapInfo *)
MagickExport void ********** | ResetLinkedListIterator (LinkedListInfo *)

## Define Documentation

#define HugeHashmapSize 131071

#define LargeHashmapSize 8191

#define MediumHashmapSize 509

#define SmallHashmapSize 17

## Typedef Documentation

typedef struct _HashmapInfo HashmapInfo

typedef struct _LinkedListInfo LinkedListInfo

## Function Documentation

MagickExport MagickBooleanType AppendValueToLinkedList | ( | LinkedListInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void ClearLinkedList | ( | LinkedListInfo * | ,
|  | void * | (*)(void *) |
| ) |  |  |

MagickExport MagickBooleanType CompareHashmapString | ( | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport MagickBooleanType CompareHashmapStringInfo | ( | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport HashmapInfo* DestroyHashmap | ( | HashmapInfo * |  | ) |

MagickExport LinkedListInfo* DestroyLinkedList | ( | LinkedListInfo * | ,
|  | void * | (*)(void *) |
| ) |  |  |

MagickExport void * GetLastValueInLinkedList | ( | LinkedListInfo * |  | ) |

MagickExport void * * GetNextKeyInHashmap | ( | HashmapInfo * |  | ) |

MagickExport void * * * GetNextValueInHashmap | ( | HashmapInfo * |  | ) |

MagickExport void * * * * GetNextValueInLinkedList | ( | LinkedListInfo * |  | ) |

MagickExport unsigned long GetNumberOfElementsInLinkedList | ( | const LinkedListInfo * |  | ) |

MagickExport unsigned long GetNumberOfEntriesInHashmap | ( | const HashmapInfo * |  | ) |

MagickExport void * * * * * GetValueFromHashmap | ( | HashmapInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void * * * * * * GetValueFromLinkedList | ( | LinkedListInfo * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport size_t HashPointerType | ( | const void * |  | ) |

MagickExport size_t HashStringInfoType | ( | const void * |  | ) |

MagickExport size_t HashStringType | ( | const void * |  | ) |

MagickExport MagickBooleanType InsertValueInLinkedList | ( | LinkedListInfo * | ,
|  | const unsigned long | ,
|  | const void * |  |
| ) |  |  |

MagickExport MagickBooleanType InsertValueInSortedLinkedList | ( | LinkedListInfo * | ,
|  | int(*)(const void *, const void *) | ,
|  | void ** | ,
|  | const void * |  |
| ) |  |  |

MagickExport MagickBooleanType IsHashmapEmpty | ( | const HashmapInfo * |  | ) |

MagickExport MagickBooleanType IsLinkedListEmpty | ( | const LinkedListInfo * |  | ) |

MagickExport MagickBooleanType LinkedListToArray | ( | LinkedListInfo * | ,
|  | void ** |  |
| ) |  |  |

MagickExport HashmapInfo* * NewHashmap | ( | const unsigned | long,
|  | size_t(*)(const void *) | ,
|  | MagickBooleanType(*)(const void *, const void *) | ,
|  | void * | (*)(void *),
|  | void * | (*)(void *) |
| ) |  |  |

MagickExport LinkedListInfo* * NewLinkedList | ( | const unsigned | long | ) |

MagickExport MagickBooleanType PutEntryInHashmap | ( | HashmapInfo * | ,
|  | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void * * * * * * * RemoveElementByValueFromLinkedList | ( | LinkedListInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void * * * * * * * * RemoveElementFromLinkedList | ( | LinkedListInfo * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport void * * * * * * * * * RemoveEntryFromHashmap | ( | HashmapInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void * * * * * * * * * * RemoveLastElementFromLinkedList | ( | LinkedListInfo * |  | ) |

MagickExport void * * * * * * * * * * ResetHashmapIterator | ( | HashmapInfo * |  | ) |

MagickExport void * * * * * * * * * * ResetLinkedListIterator | ( | LinkedListInfo * |  | ) |